Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - gcc-gcj

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: gcc-gcj 6.3.1-2

Git Clone URL: https://aur-dev.archlinux.org/gcc-gcj.git (read-only)
Package Base: gcc-gcj
Description: The GNU Compiler for Java
Upstream URL: http://gcc.gnu.org
Licenses: GPL, LGPL
Submitter: Allan
Maintainer: valandil
Last Packager: valandil
Votes: 243
Popularity: 3.271133
First Submitted: 2009-05-08 17:48
Last Updated: 2017-01-14 15:55

Pinned Comments

valandil commented on 2016-05-11 14:02

This package, gcc-gcj, is a subset of the GNU Compiler Collection, specifically the Java compiler part. In Arch Linux, it is mostly used to compile pdftk, a very nifty command-line PDF tool.

When reporting any build issue, please provide your current version of gcc and any error message.

It is *very* long to compile and takes up a lot of disk space while doing so. Do not use AUR helpers to compile this thing, you'll probably end up filling your /tmp partition and crash the compilation process. Download the PKGBUILD (either with yaourt -G gcc-gcj, with the helper of your choice or even manually) and run makepkg.

If you do not want to compile this and only need it for pdftk, consider using pdftk-bin. As its name indicates, it is a precompiled version of pdftk and depends only on libgcj, also precompiled.

Latest Comments

« First ‹ Previous ... 27 28 29 30 31 32

delroth commented on 2010-04-24 14:19

Currently testing the new PKGBUILD I posted below, as the compilation takes about 4h on my machine I will probably update the package at 6PM UTC.

delroth commented on 2010-04-17 00:04

The update to GCC 4.5.0 is ready and an updated PKGBUILD can be found there : http://paste.pocoo.org/show/202762/ .

I'll bump the AUR package when the main GCC packages will be upgraded to 4.5.0.

syntaxerrormmm commented on 2010-04-14 00:45

This is what yaourt says compiling gcc-gcj at build() time:
You need the de_DE locale to build gcc.

WTF?

syntaxerrormmm commented on 2010-04-14 00:40

This is what yaourt says compiling gcc-gcj at build() time:
You need the de_DE locale to build gcc.

WTF?

delroth commented on 2010-04-10 14:40

Bumped to 4.4.3-2 and added a dependency to the new gcc-gcj-ecj package which is needed to have a working GCJ after installation.

delroth commented on 2010-04-09 23:58

By the way, I just adopted and updated the package. It now builds and installs GCJ 4.4.3 (last version), and has a dependency on zip which was missing from the last PKGBUILD and caused the build to fail after hours of compilation. Please report any problems with this new PKGBUILD in the comments so I can fix it soon.

delroth commented on 2010-04-09 23:55

The de_DE locale is a GCC requirement.

To build it on your system, edit /etc/locale.gen and uncomment the "de_DE ISO-8859-1" line, then launch locale-gen as root.

PiousMinion commented on 2010-04-08 18:43

Why do I need de_DE?
Please fix.

.....
==> Starting build()...
You need the de_DE locale to build gcc.
==> ERROR: Build Failed.
Aborting...
Error: Makepkg was unable to build gcc-gcj package.